Subject: bug#63142: 30.0.50; QUOTING_STYLE can break dired

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Apr 2023 13:28:42 +0300

> From: Yuri D'Elia <[email-masked]>
> Date: Fri, 28 Apr 2023 11:35:09 +0200
> 
> 
> If the environment variable QUOTING_STYLE is set, GNU "ls" can return a
> format that dired doesn't like.
> 
> QUOTING_STYLE=shell will quote files with spaces such as 'a b', and
> trying to interact with these files with dired results in:
> 
> dired-get-file-for-visit: File no longer exists; type g to update Dired buffer
> 
> Interestingly, even using "ls --dired" does the same if QUOTING_STYLE is
> set.
> 
> Should dired handle QUOTING_STYLE (looking at the coreutils manual it
> seems that other tools besides ls handle it) or should dired actively
> suppress the quoting mode?

I'd suggest first to report this to Coreutils maintainers: it makes
little sense to me to honor QUOTING_STYLE when --dired is specified.
If the Coreutils folks decline to handle this, then I guess we will
have to.

Thanks.